跳至內容

Fibo Bbq Preview

整合

模型 id bria/fibo-bbq-preview/generate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-bbq-preview/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.04 40 API 點數 · ≈ ₽4.30 在此頁面執行

取得 API 金鑰
Bria AI 文字轉圖像

預覽版文字轉影像模型,支援結構化提示輸入及 3 至 5 的可調引導比例

Bria AI · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

用於生成圖像的提示詞。

aspect_ratio 預設 1:1

圖像長寬比;可用值為 1:1、2:3、3:2、3:4、4:3、4:5、5:4、9:16、16:9。

進階 negative_prompt · image · steps_num · guidance_scale · seed · structured_prompt
預設

生成圖像時使用的負面提示詞。

image_url
拖放檔案,或

以檔案或 URL 提供的參考圖像。

預設 50

推論步驟總數。

預設 5

文字引導的強度。

預設 5555

控制隨機性以產生可重現結果的種子。

用於圖像生成的結構化提示詞。

POST /run/bria/fibo-bbq-preview/generate?wait=20 報價 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-bbq-preview/generate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Fibo Bbq Preview

提供更精細文字轉影像控制的預覽版本。可接受 `prompt` 或 `structured_prompt`(物件或字串)、選用的參考 `image_url` 及 `negative_prompt`。`steps_num` 範圍為 20 至 50,`guidance_scale` 範圍為 3 至 5,並提供九種長寬比。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt選填
類型string | null
用於生成圖像的提示詞。
aspect_ratio選填
類型enum
預設值1:1
1:12:33:23:44:34:55:49:1616:9
圖像長寬比;可用值為 1:1、2:3、3:2、3:4、4:3、4:5、5:4、9:16、16:9。
structured_prompt選填
類型object
用於圖像生成的結構化提示詞。
image_url選填 image
類型url · image
以檔案或 URL 提供的參考圖像。
seed選填
類型integer
預設值5555
控制隨機性以產生可重現結果的種子。
steps_num選填
類型integer
預設值50
20 – 50
推論步驟總數。
negative_prompt選填
類型string
預設值
生成圖像時使用的負面提示詞。
guidance_scale選填
類型integer
預設值5
3 – 5
文字引導的強度。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-bbq-preview/generate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {}
    ],
    "structured_prompt": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
image
object {url, content_type, file_name, file_size, width, height}模型產生的圖像。
images
array of object生成產生的圖像。
structured_prompt
object目前使用中的提示詞。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/bria/fibo-bbq-preview/generate.md. 所有模型與指南: https://doitong.com/developers/llms.txt